cURL
curl --request POST \ --url https://api.us.lexful.app/v1/sso_connections \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Account-ID: <api-key>' \ --data ' { "name": "<string>", "connection_type": "saml" } '
{ "connection_id": "<string>", "type": "saml", "status": "active", "name": "<string>", "saml_config": { "acs_url": "<string>", "audience_uri": "<string>", "idp_entity_id": "<string>", "idp_sso_url": "<string>", "x509_certificate": "<string>", "attribute_mapping": {} }, "oidc_config": { "redirect_url": "<string>", "client_id": "<string>", "client_secret": "<string>", "issuer": "<string>" } }
Create a new SSO connection for an account
Bearer token
Account ID
Display name for the SSO connection
1 - 255
SSO connection type (saml or oidc)
saml
oidc
Default Response
SSO connection unique identifier
SSO connection type (SAML or OIDC)
SSO connection status
active
inactive
pending
Name for the SSO connection
Show child attributes
Was this page helpful?